Activate Role Assignment
Note: Authorization in this context refers to role assignments, not to OAuth authorization.
ActivateAuthorization activates an existing but inactive authorization.
In case the authorization is already active, the request will return a successful response as the desired state is already achieved. You can check the change date in the response to verify if the authorization was activated by the request.
Required permissions:
- "user.grant.write"
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
ID is the unique identifier of the authorization that should be activated.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.authorization.v2.AuthorizationService/ActivateAuthorization" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{
"changeDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Role Assignment API
Explore the Role Assignment API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
Create Role Assignment
Create Role Assignment: Note: Authorization in this context refers to role assignments, not to OAuth authorization. CreateAuthorization creates a new authorization for a user in an owned or granted project. Required permi...